#include "BF_GHDSS.h"

#include <stdio.h>

namespace BF
{
    GHDSS::GHDSS(int _numFreq, int _samplingRate, double _soundSpeed, bool _muAdp, double _mu, bool _mu_ssAdp, double _mu_ss, double _scale, NlFuncType _nlFuncType) :
	GSS(_numFreq, _samplingRate, _soundSpeed, _muAdp, _mu, _mu_ssAdp, _mu_ss, _scale, _nlFuncType)
    {
	fprintf(stdout, "GHDSS::GHDSS(numFreq=%d, samplingRate=%d, soundSpeed=%f, mu=%f, mu_ss=%f, scale=%f, NlFuncType=%d\n",
		_numFreq, _samplingRate, _soundSpeed, _mu, _mu_ss, _scale, _nlFuncType);
    }
}
